Get issues

Get issues

get
Query parameters
OnlyParentbooleanOptional

This property represents the only parent filter.

UserIdstringOptional

Filter with user id.

DeviceIdstringOptional

Filter with device id.

AssigneeIdstringOptional

Filter with assignee id.

IssueTypeIdstringOptional

Filter with issue type id.

ParentIdstringOptional

Filter with parent id.

NamestringOptional

Filter with name.

DescriptionstringOptional

Filter with description.

RefTypeinteger · int32Optional

Filter with reference type.

RefObjectstringOptional

Filter with reference object.

RefIdstringOptional

Filter with reference id.

ContentstringOptional

Filter with content.

IssueCcstringOptional

Filter with issue cc.

TagsstringOptional

Filter with tags.

Statusstring · enumOptional

Represents the status of a support issue or ticket.

Possible values:
KeywordsstringOptional

Filter with keywords.

OrganizationCodesstring[]Optional

The organizations.

StartDatestringOptional

The start date date for which the issue is created. The date is in MM-DD-YYYY format.

EndDatestringOptional

The end date for which the issue is created. The date is in MM-DD-YYYY format.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/issues

Last updated